Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Update project update

PATCH/workspaces/{organizationId}/projects/{projectId}/updates/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
projectIdstringrequired
idstringrequired
Request body
application/json
contentstring
min length 1
contentFormatstring
default: "text"
Allowed:textmarkdownblocks
healthstring
default: "on_track"
Allowed:on_trackat_riskoff_trackpaused
Responses
200

Project update updated

idstringrequired
organizationIdstringrequired
projectIdstringrequired
contentstringrequired
contentFormatstringrequired
Allowed:textmarkdownblocks
healthstringrequired
Allowed:on_trackat_riskoff_trackpaused
createdByIdstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://pile.nyc/workspaces/string/projects/string/updates/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "content": "string",
  "contentFormat": "text",
  "health": "on_track"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "projectId": "string",
  "content": "string",
  "contentFormat": "text",
  "health": "on_track",
  "createdById": "string",
  "createdAt": "string",
  "updatedAt": "string"
}

Was this page helpful?